
Summary: an X11 mutli-radix calculator
Name: hexcalc
Version: 1.11
Release: 3
Copyright: Copyrighted, freely distributable if attributed, no warranty
Group: X11/Applications
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://ftp.x.org/R5contrib/hexcalc.tar.Z
Buildroot: /tmp/build_root

%description
hexcalc is a simple mutli-radix calculator for programmers. The
calculator operates in several modes, which are controlled by buttons
on the calculator. The current mode setting is indicated by setting
the corresponding button to "insensitive". hexcalc is the work of
Tom Jarmolowski.

%prep
%setup -n hexcalc

%build
xmkmf
make

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# make the directories we will need
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
# install the hexcalc executable
install -m755 -s hexcalc $RPM_BUILD_ROOT/usr/X11R6/bin
# install the hexcalc man page
cp -p hexcalc.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/hexcalc.1x
chmod 0444 $RPM_BUILD_ROOT/usr/X11R6/man/man1/hexcalc.1x

%files
/usr/X11R6/bin/hexcalc
/usr/X11R6/man/man1/hexcalc.1x

